Name:		viewnior
Version:	1.6
Release:	%mkrel 2
Summary:	Elegant image viewer
Group:		Graphics/Viewers
License:	GPLv3+
URL:		http://siyanpanayotov.com/project/viewnior/
Source0:	https://github.com/xsisqox/Viewnior/archive/viewnior-%{version}.tar.gz
BuildRequires:	intltool
BuildRequires:	gnome-common
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(shared-mime-info)

%description
Viewnior is an image viewer program. Created to be simple, fast and elegant.
It's minimalist interface provides more screen space for your images. Among
its features are:

* Fullscreen & Slideshow
* Rotate, flip, save, delete images
* Animation support
* Browse only selected images
* Navigation window
* Simple interface
* Configurable mouse actions

%prep
%setup -q -n Viewnior-%{name}-%{version}
%apply_patches

# fix spurious executable perms
chmod 0644 AUTHORS NEWS README TODO src/*

#for autoreconf
mkdir -p m4

%build
./autogen.sh
%configure2_5x
%make V=1

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/
%{_mandir}/man*/%{name}.*


%changelog
* Fri Dec 25 2015 wally <wally> 1.6-2.mga6
+ Revision: 914601
- new version 1.6

* Tue Aug 25 2015 cjw <cjw> 1.5-2.mga6
+ Revision: 869269
- rebuild for new exiv2

* Sun Jun 21 2015 wally <wally> 1.5-1.mga6
+ Revision: 837879
- new version 1.5

* Wed Oct 15 2014 umeabot <umeabot> 1.4-3.mga5
+ Revision: 749671
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-2.mga5
+ Revision: 690205
- Mageia 5 Mass Rebuild

* Fri Feb 21 2014 wally <wally> 1.4-1.mga5
+ Revision: 595370
- new version 1.4

* Sat Oct 19 2013 umeabot <umeabot> 1.3-2.mga4
+ Revision: 522602
- Mageia 4 Mass Rebuild

* Fri Mar 22 2013 wally <wally> 1.3-1.mga3
+ Revision: 404536
- import viewnior (based on .spec from Fedora)

